Bug 341433 - Crash when opening Digikam application
Summary: Crash when opening Digikam application
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Video (show other bugs)
Version: 4.4.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-11-30 08:10 UTC by David
Modified: 2018-02-28 12:37 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David 2014-11-30 08:10:40 UTC
Application: digikam (4.4.0)
KDE Platform Version: 4.14.3
Qt Version: 4.8.6
Operating System: Linux 3.16.6-2-desktop x86_64
Distribution: "openSUSE 13.2 (Harlequin) (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
Simply opening / launching the digikam application caused the crash

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Floating point exception
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f597d249880 (LWP 4727))]

Thread 7 (Thread 0x7f595c3e3700 (LWP 4728)):
#0  0x00007f5975d1d76d in recvmsg () at /lib64/libc.so.6
#1  0x00007f597d2bceb9 in udev_monitor_receive_device () at /usr/lib64/libudev.so.1
#2  0x00007f595cd622eb in  () at /usr/lib64/libusb-1.0.so.0
#3  0x00007f5973c6a0a4 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f5975d1c7fd in clone () at /lib64/libc.so.6

Thread 6 (Thread 0x7f5951cfe700 (LWP 4729)):
[KCrash Handler]
#5  0x00007f5972befff6 in Exiv2::QuickTimeVideo::mediaHeaderDecoder(unsigned long) () at /usr/lib64/libexiv2.so.13
#6  0x00007f5972bf6f6b in Exiv2::QuickTimeVideo::tagDecoder(Exiv2::DataBuf&, unsigned long) () at /usr/lib64/libexiv2.so.13
#7  0x00007f5972bf7360 in Exiv2::QuickTimeVideo::decodeBlock() () at /usr/lib64/libexiv2.so.13
#8  0x00007f5972bf6f78 in Exiv2::QuickTimeVideo::tagDecoder(Exiv2::DataBuf&, unsigned long) () at /usr/lib64/libexiv2.so.13
#9  0x00007f5972bf7360 in Exiv2::QuickTimeVideo::decodeBlock() () at /usr/lib64/libexiv2.so.13
#10 0x00007f5972bf75ad in Exiv2::QuickTimeVideo::readMetadata() () at /usr/lib64/libexiv2.so.13
#11 0x00007f597af650a5 in KExiv2Iface::KExiv2::load(QString const&) const () at /usr/lib64/libkexiv2.so.11
#12 0x00007f597a881626 in Digikam::DMetadata::load(QString const&) const () at /usr/lib64/libdigikamcore.so.4.4.0
#13 0x00007f597a2d55ff in Digikam::ImageScanner::loadFromDisk() () at /usr/lib64/libdigikamdatabase.so.4.4.0
#14 0x00007f597a2d57c9 in Digikam::ImageScanner::fileModified() () at /usr/lib64/libdigikamdatabase.so.4.4.0
#15 0x00007f597a26ddb6 in Digikam::CollectionScanner::scanModifiedFile(QFileInfo const&, Digikam::ItemScanInfo const&) () at /usr/lib64/libdigikamdatabase.so.4.4.0
#16 0x00007f597a26e2fd in Digikam::CollectionScanner::scanFileNormal(QFileInfo const&, Digikam::ItemScanInfo const&) () at /usr/lib64/libdigikamdatabase.so.4.4.0
#17 0x00007f597a270732 in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) () at /usr/lib64/libdigikamdatabase.so.4.4.0
#18 0x00007f597a270957 in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) () at /usr/lib64/libdigikamdatabase.so.4.4.0
#19 0x00007f597a271363 in Digikam::CollectionScanner::scanAlbumRoot(Digikam::CollectionLocation const&) () at /usr/lib64/libdigikamdatabase.so.4.4.0
#20 0x00007f597a271f3d in Digikam::CollectionScanner::completeScan() () at /usr/lib64/libdigikamdatabase.so.4.4.0
#21 0x0000000000602c6f in  ()
#22 0x00007f5976afd79f in  () at /usr/lib64/libQtCore.so.4
#23 0x00007f5973c6a0a4 in start_thread () at /lib64/libpthread.so.0
#24 0x00007f5975d1c7fd in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7f59514fd700 (LWP 4730)):
#0  0x00007f596dcfa904 in g_mutex_unlock () at /usr/lib64/libglib-2.0.so.0
#1  0x00007f596dcb8318 in g_main_context_prepare () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f596dcb8b03 in  () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f596dcb8cec in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f5976c2c0de in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQtCore.so.4
#5  0x00007f5976bfde6f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQtCore.so.4
#6  0x00007f5976bfe165 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQtCore.so.4
#7  0x00007f5976afb0bf in QThread::exec() () at /usr/lib64/libQtCore.so.4
#8  0x00007f5976bdf783 in  () at /usr/lib64/libQtCore.so.4
#9  0x00007f5976afd79f in  () at /usr/lib64/libQtCore.so.4
#10 0x00007f5973c6a0a4 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f5975d1c7fd in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7f5950cfc700 (LWP 4735)):
#0  0x00007f5973c6e05f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f5976afdc86 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQtCore.so.4
#2  0x00007f597a8ecc0a in  () at /usr/lib64/libdigikamcore.so.4.4.0
#3  0x00007f5976afd79f in  () at /usr/lib64/libQtCore.so.4
#4  0x00007f5973c6a0a4 in start_thread () at /lib64/libpthread.so.0
#5  0x00007f5975d1c7fd in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7f593239c700 (LWP 4751)):
#0  0x00007f5973c6e408 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f5976afdc64 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQtCore.so.4
#2  0x00007f597a8a53b8 in Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError(int) () at /usr/lib64/libdigikamcore.so.4.4.0
#3  0x00007f597a8a5ec0 in Digikam::DatabaseCoreBackend::queryErrorHandling(Digikam::SqlQuery&, int) () at /usr/lib64/libdigikamcore.so.4.4.0
#4  0x00007f597a8a6135 in Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) () at /usr/lib64/libdigikamcore.so.4.4.0
#5  0x00007f597a8a61cc in Digikam::DatabaseCoreBackend::execQuery(Digikam::SqlQuery&, QVariant const&) () at /usr/lib64/libdigikamcore.so.4.4.0
#6  0x00007f597a8a7260 in Digikam::DatabaseCoreBackend::execQuery(QString const&, QVariant const&) () at /usr/lib64/libdigikamcore.so.4.4.0
#7  0x00007f597a8a72a9 in Digikam::DatabaseCoreBackend::execSql(QString const&, QVariant const&, QList<QVariant>*, QVariant*) () at /usr/lib64/libdigikamcore.so.4.4.0
#8  0x00007f597a25941f in Digikam::AlbumDB::getImageInformation(long long, QFlags<Digikam::DatabaseFields::ImageInformationField>) () at /usr/lib64/libdigikamdatabase.so.4.4.0
#9  0x00007f597a2910b9 in Digikam::DatabaseThumbnailInfoProvider::thumbnailInfo(QString const&) () at /usr/lib64/libdigikamdatabase.so.4.4.0
#10 0x00007f597a8d5024 in Digikam::ThumbnailCreator::makeThumbnailInfo(QString const&, QRect const&) const () at /usr/lib64/libdigikamcore.so.4.4.0
#11 0x00007f597a8d94b1 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () at /usr/lib64/libdigikamcore.so.4.4.0
#12 0x00007f597a8d9e50 in Digikam::ThumbnailCreator::pregenerate(QString const&) const () at /usr/lib64/libdigikamcore.so.4.4.0
#13 0x00007f597a8e8830 in  () at /usr/lib64/libdigikamcore.so.4.4.0
#14 0x00007f597a8c0ab6 in Digikam::LoadSaveThread::run() () at /usr/lib64/libdigikamcore.so.4.4.0
#15 0x00007f597a8eea4e in Digikam::DynamicThread::DynamicThreadPriv::run() () at /usr/lib64/libdigikamcore.so.4.4.0
#16 0x00007f5976af16ae in  () at /usr/lib64/libQtCore.so.4
#17 0x00007f5976afd79f in  () at /usr/lib64/libQtCore.so.4
#18 0x00007f5973c6a0a4 in start_thread () at /lib64/libpthread.so.0
#19 0x00007f5975d1c7fd in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7f593139a700 (LWP 4753)):
#0  0x00007f5973c6e408 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f5976afdc64 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQtCore.so.4
#2  0x00007f597a8a53b8 in Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError(int) () at /usr/lib64/libdigikamcore.so.4.4.0
#3  0x00007f597a8a5ec0 in Digikam::DatabaseCoreBackend::queryErrorHandling(Digikam::SqlQuery&, int) () at /usr/lib64/libdigikamcore.so.4.4.0
#4  0x00007f597a8a6135 in Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) () at /usr/lib64/libdigikamcore.so.4.4.0
#5  0x00007f597a8a61cc in Digikam::DatabaseCoreBackend::execQuery(Digikam::SqlQuery&, QVariant const&) () at /usr/lib64/libdigikamcore.so.4.4.0
#6  0x00007f597a8a7260 in Digikam::DatabaseCoreBackend::execQuery(QString const&, QVariant const&) () at /usr/lib64/libdigikamcore.so.4.4.0
#7  0x00007f597a8a72a9 in Digikam::DatabaseCoreBackend::execSql(QString const&, QVariant const&, QList<QVariant>*, QVariant*) () at /usr/lib64/libdigikamcore.so.4.4.0
#8  0x00007f597a25941f in Digikam::AlbumDB::getImageInformation(long long, QFlags<Digikam::DatabaseFields::ImageInformationField>) () at /usr/lib64/libdigikamdatabase.so.4.4.0
#9  0x00007f597a2910b9 in Digikam::DatabaseThumbnailInfoProvider::thumbnailInfo(QString const&) () at /usr/lib64/libdigikamdatabase.so.4.4.0
#10 0x00007f597a8d5024 in Digikam::ThumbnailCreator::makeThumbnailInfo(QString const&, QRect const&) const () at /usr/lib64/libdigikamcore.so.4.4.0
#11 0x00007f597a8d94b1 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () at /usr/lib64/libdigikamcore.so.4.4.0
#12 0x00007f597a8da352 in Digikam::ThumbnailCreator::load(QString const&) const () at /usr/lib64/libdigikamcore.so.4.4.0
#13 0x00007f597a8e87d7 in  () at /usr/lib64/libdigikamcore.so.4.4.0
#14 0x00007f597a8c0ab6 in Digikam::LoadSaveThread::run() () at /usr/lib64/libdigikamcore.so.4.4.0
#15 0x00007f597a8eea4e in Digikam::DynamicThread::DynamicThreadPriv::run() () at /usr/lib64/libdigikamcore.so.4.4.0
#16 0x00007f5976af16ae in  () at /usr/lib64/libQtCore.so.4
#17 0x00007f5976afd79f in  () at /usr/lib64/libQtCore.so.4
#18 0x00007f5973c6a0a4 in start_thread () at /lib64/libpthread.so.0
#19 0x00007f5975d1c7fd in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7f597d249880 (LWP 4727)):
#0  0x00007f5973c6e408 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f5976afdc64 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQtCore.so.4
#2  0x00007f597a8a53b8 in Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError(int) () at /usr/lib64/libdigikamcore.so.4.4.0
#3  0x00007f597a8a5ec0 in Digikam::DatabaseCoreBackend::queryErrorHandling(Digikam::SqlQuery&, int) () at /usr/lib64/libdigikamcore.so.4.4.0
#4  0x00007f597a8a6135 in Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) () at /usr/lib64/libdigikamcore.so.4.4.0
#5  0x00007f597a8a61cc in Digikam::DatabaseCoreBackend::execQuery(Digikam::SqlQuery&, QVariant const&) () at /usr/lib64/libdigikamcore.so.4.4.0
#6  0x00007f597a8a7260 in Digikam::DatabaseCoreBackend::execQuery(QString const&, QVariant const&) () at /usr/lib64/libdigikamcore.so.4.4.0
#7  0x00007f597a8a72a9 in Digikam::DatabaseCoreBackend::execSql(QString const&, QVariant const&, QList<QVariant>*, QVariant*) () at /usr/lib64/libdigikamcore.so.4.4.0
#8  0x00007f597a25a529 in Digikam::AlbumDB::getImageComments(long long) () at /usr/lib64/libdigikamdatabase.so.4.4.0
#9  0x00007f597a292573 in Digikam::ImageComments::ImageComments(Digikam::DatabaseAccess&, long long) () at /usr/lib64/libdigikamdatabase.so.4.4.0
#10 0x00007f597a29756d in Digikam::ImageInfo::comment() const () at /usr/lib64/libdigikamdatabase.so.4.4.0
#11 0x00000000006393fd in  ()
#12 0x00007f597a926d3d in Digikam::DigikamKCategorizedView::paintEvent(QPaintEvent*) () at /usr/lib64/libdigikamcore.so.4.4.0
#13 0x000000000063583c in  ()
#14 0x00007f597765c9f0 in QWidget::event(QEvent*) () at /usr/lib64/libQtGui.so.4
#15 0x00007f59779f95ee in QFrame::event(QEvent*) () at /usr/lib64/libQtGui.so.4
#16 0x00007f5977b08e13 in QAbstractItemView::viewportEvent(QEvent*) () at /usr/lib64/libQtGui.so.4
#17 0x00007f597a92fb30 in Digikam::DCategorizedView::viewportEvent(QEvent*) () at /usr/lib64/libdigikamcore.so.4.4.0
#18 0x00007f5976bff416 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () at /usr/lib64/libQtCore.so.4
#19 0x00007f597760d74c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQtGui.so.4
#20 0x00007f5977613cad in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQtGui.so.4
#21 0x00007f5978325baa in KApplication::notify(QObject*, QEvent*) () at /usr/lib64/libkdeui.so.5
#22 0x00007f5976bff2ad in QCoreApplication::notifyInternal(QObject*, QEvent*) () at /usr/lib64/libQtCore.so.4
#23 0x00007f5977657111 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#24 0x00007f5977657b40 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#25 0x00007f59776579af in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#26 0x00007f59776579af in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#27 0x00007f59776579af in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#28 0x00007f59776579af in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#29 0x00007f59776579af in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#30 0x00007f5977656ccc in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#31 0x00007f5977657b40 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#32 0x00007f5977656ccc in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#33 0x00007f5977657b40 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#34 0x00007f5977656ccc in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#35 0x00007f5977657b40 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#36 0x00007f5977656ccc in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#37 0x00007f5977657b40 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#38 0x00007f5977656ccc in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#39 0x00007f5977657b40 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#40 0x00007f59776579af in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#41 0x00007f5977656ccc in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib64/libQtGui.so.4
#42 0x00007f5977815cce in  () at /usr/lib64/libQtGui.so.4
#43 0x00007f597764c5c0 in QWidgetPrivate::syncBackingStore() () at /usr/lib64/libQtGui.so.4
#44 0x00007f597765c56a in QWidget::event(QEvent*) () at /usr/lib64/libQtGui.so.4
#45 0x00007f5977a120b3 in QMainWindow::event(QEvent*) () at /usr/lib64/libQtGui.so.4
#46 0x00007f5978411459 in KXmlGuiWindow::event(QEvent*) () at /usr/lib64/libkdeui.so.5
#47 0x00007f597760d76c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQtGui.so.4
#48 0x00007f5977613cad in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQtGui.so.4
#49 0x00007f5978325baa in KApplication::notify(QObject*, QEvent*) () at /usr/lib64/libkdeui.so.5
#50 0x00007f5976bff2ad in QCoreApplication::notifyInternal(QObject*, QEvent*) () at /usr/lib64/libQtCore.so.4
#51 0x00007f5976c0257d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib64/libQtCore.so.4
#52 0x00007f5976c2c8fe in  () at /usr/lib64/libQtCore.so.4
#53 0x00007f596dcb8a04 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#54 0x00007f596dcb8c48 in  () at /usr/lib64/libglib-2.0.so.0
#55 0x00007f596dcb8cec in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#56 0x00007f5976c2c0be in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQtCore.so.4
#57 0x00007f59776aa676 in  () at /usr/lib64/libQtGui.so.4
#58 0x00007f5976bfde6f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQtCore.so.4
#59 0x00007f5976bfe165 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQtCore.so.4
#60 0x00000000005fe9b9 in  ()
#61 0x000000000052faa7 in  ()
#62 0x00007f5976c1759e in QObject::event(QEvent*) () at /usr/lib64/libQtCore.so.4
#63 0x00007f597760d76c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQtGui.so.4
#64 0x00007f5977613cad in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQtGui.so.4
#65 0x00007f5978325baa in KApplication::notify(QObject*, QEvent*) () at /usr/lib64/libkdeui.so.5
#66 0x00007f5976bff2ad in QCoreApplication::notifyInternal(QObject*, QEvent*) () at /usr/lib64/libQtCore.so.4
#67 0x00007f5976c0257d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib64/libQtCore.so.4
#68 0x00007f5976c2c8fe in  () at /usr/lib64/libQtCore.so.4
#69 0x00007f596dcb8a04 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#70 0x00007f596dcb8c48 in  () at /usr/lib64/libglib-2.0.so.0
#71 0x00007f596dcb8cec in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#72 0x00007f5976c2c0be in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQtCore.so.4
#73 0x00007f59776aa676 in  () at /usr/lib64/libQtGui.so.4
#74 0x00007f5976bfde6f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQtCore.so.4
#75 0x00007f5976bfe165 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQtCore.so.4
#76 0x00007f5976c035b9 in QCoreApplication::exec() () at /usr/lib64/libQtCore.so.4
#77 0x00000000004a0710 in  ()
#78 0x00007f5975c58b05 in __libc_start_main () at /lib64/libc.so.6
#79 0x00000000004a2d5f in _start ()

Reported using DrKonqi
Comment 1 caulier.gilles 2014-11-30 09:45:11 UTC
Exiv2 crash about video file support. Please report to Exiv2 bugzilla.

 0x00007f5972befff6 in Exiv2::QuickTimeVideo::mediaHeaderDecoder(unsigned long) () at /usr/lib64/libexiv2.so.13

Gilles Caulier
Comment 2 caulier.gilles 2015-01-11 06:39:02 UTC
*** Bug 342712 has been marked as a duplicate of this bug. ***
Comment 3 caulier.gilles 2018-02-28 12:37:33 UTC
With 6.0.0, we have now a FFMpeg low level metadata parser based on libav C API
for video files database registration.

The Exiv2 video support is not used anymore as this code is buggous and nobody
sound motivated in Exiv2 to finalize the code.

The original post for this file must be fixed now and video metadata support
with ffmpeg must be enough to populate database entries.

Gilles Caulier